## NAME

v.import.py - Imports vector data into a GRASS vector map using OGR library and reprojects on the fly.

## KEYWORDS

vector, import, projection

## SYNOPSIS

v.import.py
v.import.py --help
v.import.py [-flo] input=string [layer=string[,string,...]] [output=name] [extent=string] [encoding=string] [snap=float] [epsg=integer] [datum_trans=integer] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

### Flags:

-f
  List supported OGR formats and exit
-l
  List available OGR layers in data source and exit
-o
  Override projection check (use current project's CRS)
  Assume that the dataset has the same coordinate reference system (CRS) as the current project
--overwrite
  Allow output files to overwrite existing files
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

input=string [required]
  Name of OGR datasource to be imported
layer=string[,string,...]
  OGR layer name. If not given, all available layers are imported
output=name
  Name for output vector map (default: input)
extent=string
  Output vector map extent
  Options: input, region
  Default: input
  input: extent of input map
  region: extent of current region
encoding=string
  Encoding value for attribute data
snap=float
  Snapping threshold for boundaries (map units)
  A suitable threshold is estimated during import
  Default: -1
epsg=integer
  EPSG projection code
  Options: 1-1000000
datum_trans=integer
  Index number of datum transform parameters
  -1 to list available datum transform parameters
  Options: -1-100

## DESCRIPTION

v.import imports vector data from files and database connections supported by the OGR library into the current project (previously called location) and mapset. If the coordinate reference system (CRS) of the input does not match the CRS of the project, the input is reprojected into the current project. In case that the CRS of the input map does match the CRS of the project, the input is imported directly.

### Supported Vector Formats

v.import uses the OGR library which supports various vector data formats including ESRI Shapefile, Mapinfo File, UK .NTF, SDTS, TIGER, IHO S-57 (ENC), DGN, GML, GPX, AVCBin, REC, Memory, OGDI, and PostgreSQL, depending on the local OGR installation. For details see the OGR web site. The OGR (Simple Features Library) is part of the GDAL library, hence GDAL needs to be installed to use v.import.

The list of actually supported formats can be printed by -f flag.

## NOTES

v.import checks the CRS metadata of the dataset to be imported against that of the current project. If not identical a related error message is shown.
To override this CRS check (i.e. to use current project's CRS) by assuming that the dataset has the same CRS as the current project the -o flag can be used. This is also useful when geodata to be imported do not contain any CRS metadata at all. The user must be sure that the CRS is identical in order to avoid introducing data errors.

### Topology cleaning

When importing polygons, non-topological polygons are converted to topological areas. If the input polygons contain errors (unexpected overlapping areas, small gaps between polygons, or warnings about being unable to calculate centroids), the import might need to be repeated using a snap value as suggested in the output messages. The default value of `snap=-1` means that no snapping will be done.

The snap threshold defines the maximal distance from one to another vertex in map units (for latitude-longitude projects in degrees). If there is no other vertex within snap distance, no snapping will be done. Note that a too large value can severely damage area topology, beyond repair.

Post-processing: Snapped boundaries may need to be cleaned with v.clean, using its tools break,rmdupl,rmsa. For details, refer to the v.clean manual page.

## EXAMPLE

    # import SHAPE file at full extent and reproject to current project CRS
    v.import input=research_area.shp output=research_area extent=input

## SEE ALSO

v.clean, v.in.lines, v.in.ogr, v.proj

## AUTHORS

Markus Metz
Improvements: Martin Landa, Anna Petrasova

## SOURCE CODE

Available at: v.import source code (history)

Accessed: Thursday Apr 25 00:22:02 2024

Main index | Vector index | Topics index | Keywords index | Graphical index | Full index

© 2003-2024 GRASS Development Team, GRASS GIS 8.4.0dev Reference Manual